---
title: MysticBBS
thumbnail: /images/mysticlogo.png
comments: false
categories:
- Docker
- MysticBBS
tags:
- Docker
- BBS
date: 2018-09-01 12:00:00
---
[Mystic BBS](http://mysticbbs.com) is great software to get up and running and get (back) into the BBS scene.

There is a wealth of information on the [wiki](http://wiki.mysticbbs.com), or you can even go through [*Mystic Guy's* YouTube videos](https://www.youtube.com/channel/UCPOUHszVXaGNSlK3AdI7kLQ).

If you would like to get up and running quickly, I've created some Docker Images which you can use as a starting point. The images are available for Raspberry Pi (ARM) and Intel.

There are two images:
<table><tr><th width="20%">Name</th><th width="80%">Information</th></tr><tr><td>armv7l</td><td>This image is a clean installation of Mystic BBS as provided by the upstream developer. It does have the pre-requisites so that spell is enabled and cryptlib is also installed so that you can use SSH based connections.</td></tr><tr><td>armv7l-extras</td><td>This image extends the base image and provides some doors and utilities.</td></tr><tr><td>x86_64</td><td>Just like the image above, however, this is for Intel Linux platforms.</td></tr><tr><td>x86_64-extras</td><td>This image extends the base image and provides some doors and utilities.</td></tr></table>

To get the images, just install docker onto your Linux platform, and then do

`docker pull registry.leenooks.net/leenooks/mysticbbs:1.12a39-[TAG ABOVE]`

To make sure your data is kept between re-creations of your docker container, you have two options:
1.  Start your mystic container with `-v [HOST PATH]:/mystic/data`, or
2.  Start your subsequent containers with `--volumes_from=[ORIG CONTAINER]`.
  In this case, you might want to rename your old container if you want to use the same container name.

You could even use this image to have our containers in a docker swarm (as I do).

If you need any help, [login](/2018/08/31/chinwag/) to my BBS and send me a message, or if you use another BBS, or a Sysop of a BBS and connected to one of the networks I'm connected to, you can send me a Netmail. See the list of [networks](/networks) that I'm already connected to.
